Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.cmp
Class KeyRecRepContent

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.cmp.KeyRecRepContent

All Implemented Interfaces:
  DEREncodable

    public class KeyRecRepContent

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Method Summary
`CMPCertificate[]` `getCaCerts()`
`static KeyRecRepContent` `getInstance(java.lang.Object o)`
`CertifiedKeyPair[]` `getKeyPairHist()`
`CMPCertificate` `getNewSigCert()`
`PKIStatusInfo` `getStatus()`
`DERObject` `toASN1Object()` KeyRecRepContent ::= SEQUENCE { status PKIStatusInfo, newSigCert [0] CMPCertificate OPTIONAL, caCerts [1] SEQUENCE SIZE (1..MAX) OF CMPCertificate OPTIONAL, keyPairHist [2] SEQUENCE SIZE (1..MAX) OF CertifiedKeyPair OPTIONAL }

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static KeyRecRepContent getInstance(java.lang.Object o)

### getStatus

    public PKIStatusInfo getStatus()

### getNewSigCert

    public CMPCertificate getNewSigCert()

### getCaCerts

    public CMPCertificate[] getCaCerts()

### getKeyPairHist

    public CertifiedKeyPair[] getKeyPairHist()

### toASN1Object

    public DERObject toASN1Object()

       KeyRecRepContent ::= SEQUENCE {
                               status                  PKIStatusInfo,
                               newSigCert          [0] CMPCertificate OPTIONAL,
                               caCerts             [1] SEQUENCE SIZE (1..MAX) OF
                                                                 CMPCertificate OPTIONAL,
                               keyPairHist         [2] SEQUENCE SIZE (1..MAX) OF
                                                                 CertifiedKeyPair OPTIONAL
                    }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`
  Returns:
    a basic ASN.1 object representation.

Bouncy Castle Cryptography Library 1.45